- API reference
- Partner APIs
DELETE
Delete a client
https://api.playground.kustom.co/elements/v1/clients/{clientId}
Removes an API client owned by the merchant from the system.
Parameters
200
400
401
502
Example
14 fields
Parameters2 fields
Client identifier
Merchant identifier used to scope the client
No field here matches the current filters.
200
Response0 fieldsOK
No response body — this status returns headers only.
No field here matches the current filters.
400
Response4 fieldsBad Request
- CLIENT_NOT_FOUND
- ORIGIN_NOT_ALLOWED
- HTTP_CLIENT_ERROR
- HTTP_SERVER_ERROR
- DOMAIN_NOT_WHITELISTED
- PLACEMENT_CONFIG_MISSING
- ARGUMENT_NOT_VALID
- CONSTRAINT_VIOLATION
- PROFILE_DOESNT_BELONG_TO_MERCHANT
- MERCHANT_NOT_FOUND
No field here matches the current filters.
401
Response4 fieldsUnauthorized
- CLIENT_NOT_FOUND
- ORIGIN_NOT_ALLOWED
- HTTP_CLIENT_ERROR
- HTTP_SERVER_ERROR
- DOMAIN_NOT_WHITELISTED
- PLACEMENT_CONFIG_MISSING
- ARGUMENT_NOT_VALID
- CONSTRAINT_VIOLATION
- PROFILE_DOESNT_BELONG_TO_MERCHANT
- MERCHANT_NOT_FOUND
No field here matches the current filters.
502
Response4 fieldsBad Gateway
- CLIENT_NOT_FOUND
- ORIGIN_NOT_ALLOWED
- HTTP_CLIENT_ERROR
- HTTP_SERVER_ERROR
- DOMAIN_NOT_WHITELISTED
- PLACEMENT_CONFIG_MISSING
- ARGUMENT_NOT_VALID
- CONSTRAINT_VIOLATION
- PROFILE_DOESNT_BELONG_TO_MERCHANT
- MERCHANT_NOT_FOUND
No field here matches the current filters.
This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.